<?php
//include("../conexion.php");
//
include("../cls_conexion.php");
$CNN=new ClsMySQL();
include("../conexion23.php");
//
$COD=vbval(V($_GET['COD']));
//+++
?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ventas resumen</title>
<?php
$r=gr("ventas_lotes","id_vl=$COD");
$RUN_INI=$r['vl_run_ini'];
$RUN_TIG=$r['vl_tig'];
$RUN_TMC=$r['vl_tot_gen'];
$RUN_TMS=$r['vl_tot_a_gen'];
if($RUN_INI==0){
	echo "PASO 01 = Aun no ejecutado";return;
}

echo "RESULTADO DEL <b>PASO 01</b>:<br> ";
echo "Total ventas calculadas : $RUN_TIG <br>";
echo "Total monto calculado : $RUN_TMC <br>";
echo "Total monto solicitado : $RUN_TMS <br>";
if($RUN_TMS==$RUN_TMC){
	echo "<b>PASO 01</b> resultado : <b>OK</b><br>";
}else{
	echo "<b>PASO 01</b> resultado : Monto solicitado es distinto al monto calculado<br>";
}


echo "<br><br><br><br> ";

$TOT_VEN_CAL=gn("count(*)","ventas_lotes_cab","id_vl=$COD");
$TOT_VEN_GEN=gn("count(*)","ventas_lotes_cab","id_vl=$COD AND gen='S'");
$TOT_VEN_PEN=gn("count(*)","ventas_lotes_cab","id_vl=$COD AND gen='N'");

echo "RESULTADO DEL <b>PASO 02</b>:<br> ";
echo "Total ventas calculadas : $TOT_VEN_CAL <br>";
echo "Total ventas generadas : $TOT_VEN_GEN <br>";
echo "Total ventas pendientes por generar : $TOT_VEN_PEN <br>";
if($TOT_VEN_PEN==0){
	echo "<b>PASO 02</b> resultado : <b>OK</b><br>";
}else{
	echo "<b>PASO 02</b> resultado : Aun hay ventas por generar ejecute el PASO 02 nuevamente<br>";
	return;
}


echo "<br><br><br><br> ";

$TOT_VEN_GEN=gn("count(*)","ventas","ven_id_vl=$COD");
$TOT_CEL_GEN=gn("count(*)","ventas","ven_id_vl=$COD AND ven_fe_ge='S'");
$TOT_CEL_PEN=gn("count(*)","ventas","ven_id_vl=$COD AND ven_fe_ge='N'");


echo "RESULTADO DEL <b>PASO 03</b>:<br> ";
echo "Total ventas generadas : $TOT_VEN_GEN <br>";
echo "Total comprobantes electronicos generados : $TOT_CEL_GEN <br>";
echo "Total comprobantes electronicos pendientes : $TOT_CEL_PEN <br>";
if($TOT_CEL_PEN==0){
	echo "<b>PASO 03</b> resultado : <b>OK</b><br>";
}else{
	echo "<b>PASO 03</b> resultado : Aun hay ventas por generar ejecute el PASO 03 nuevamente<br>";
	return;
}

?>